<?php

# 图标
$icon = array
(
	1 => '默认',
);


if (layadmin()) {
	$link = 'https://www.layui.com/doc/element/icon.html';
} else {
	$link = 'http://dwz.cn/1j8SP0';
}
return array
(
	# 表名
	'name' => 'menu_group',
	# 显示给用户看的名称
	'lang' => '菜单分组设置',
	'order' => 2,
	'menu' => false,
	# 不允许key重复
	'start' => array
	(
		//'update' => 'manage/menu.checkKey',
		//'insert' => 'manage/menu.checkKey',
	),
	//'check' => 'key',
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '分组ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> '分组名称',
			'default' 	=> '',
			'desc' 		=> '请输入分组名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'order,fulltext',
			'list'		=> true,
		),

		'icon'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '图标代码-请<a href="'.$link.'" target="_blank">点此</a>查看图标代码',
			'default' 	=> 'glyphicon glyphicon-folder-close',
			'desc' 		=> '请输入图标代码',
			'match' 	=> 'is_string',
			//'option' 	=> $icon,
			'update'	=> 'text',
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'default' => array
	(
		'col' => 'name,icon,reorder,state,cdate',
		'value' => array
		(
			'"默认分组","layui-icon layui-icon-home",1,1,' . DEVER_TIME,
		),
	),
	
	'manage' => array
	(
		
	),
	
	# request 请求接口定义
	'request' => array
	(
		
	),
);
